Bug 178812 - [MAINTAINER] security/botan110: new port (version 1.10.5)
Summary: [MAINTAINER] security/botan110: new port (version 1.10.5)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-21 15:20 UTC by Lapo Luchini
Modified: 2013-05-22 19:10 UTC (History)
1 user (show)

See Also:


Attachments
botan110-1.10.5.patch (11.63 KB, patch)
2013-05-21 15:20 UTC, Lapo Luchini
no flags Details | Diff
botan110.diff (11.63 KB, patch)
2013-05-21 23:58 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lapo Luchini 2013-05-21 15:20:00 UTC
I'd like to have a new security/botan110 port (svn cp security/botan security/botan110 + this patch).
This way dependent ports can test and upgrade when they're ready.
I will shortly provide an update to ports/178316 to use this new port.

This patch is also (tested and) available on RedPorts as:
https://redports.org/browser/lapo/security/botan110?rev=12349

Generated with FreeBSD Port Tools 0.99_7 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2013-05-21 15:20:10 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (new ports should be change-requests) (via the GNATS Auto 
Assign Tool)
Comment 2 Guido Falsi freebsd_committer 2013-05-21 15:25:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 3 Guido Falsi freebsd_committer 2013-05-21 23:58:07 UTC
Hi,

I made a few changes to your patch.

I made the port use a PKG suffix and the same portname, I also added a 
LATEST_LINK.

I had to define DOCSDIR to match where docs are really installed.

I also fixed the DOCS conditional.

Can you approve this diff?

Thanks.

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 4 Lapo Luchini 2013-05-22 09:04:27 UTC
I tested it locally again too, and I approve.
Comment 5 dfilter service freebsd_committer 2013-05-22 19:08:02 UTC
Author: madpilot
Date: Wed May 22 18:07:53 2013
New Revision: 318782
URL: http://svnweb.freebsd.org/changeset/ports/318782

Log:
  Copy botan port to new port for botan 1.10 which can coexist with
  the old port.
  
  PR:		ports/178812
  Submitted by:	Lapo Luchini <lapo@lapo.it> (maintainer of security/botan)

Added:
  head/security/botan110/
     - copied from r318712, head/security/botan/
Deleted:
  head/security/botan110/files/patch-configure.py
Modified:
  head/security/Makefile
  head/security/botan110/Makefile
  head/security/botan110/distinfo   (contents, props changed)
  head/security/botan110/files/patch-src_build_data_makefile_unix_shr.in   (contents, props changed)

Modified: head/security/Makefile
==============================================================================
--- head/security/Makefile	Wed May 22 17:42:46 2013	(r318781)
+++ head/security/Makefile	Wed May 22 18:07:53 2013	(r318782)
@@ -42,6 +42,7 @@
     SUBDIR += bioapi
     SUBDIR += blindelephant
     SUBDIR += botan
+    SUBDIR += botan110
     SUBDIR += bro
     SUBDIR += bruteblock
     SUBDIR += bruteforceblocker

Modified: head/security/botan110/Makefile
==============================================================================
--- head/security/botan/Makefile	Tue May 21 14:58:55 2013	(r318712)
+++ head/security/botan110/Makefile	Wed May 22 18:07:53 2013	(r318782)
@@ -2,9 +2,10 @@
 # $FreeBSD$
 
 PORTNAME=	botan
-PORTVERSION=	1.8.13
+PORTVERSION=	1.10.5
 CATEGORIES=	security
-MASTER_SITES=	http://files.randombit.net/botan/v1.8/
+MASTER_SITES=	http://files.randombit.net/botan/v1.10/
+PKGNAMESUFFIX=	110
 DISTNAME=	Botan-${PORTVERSION}
 EXTRACT_SUFX=	.tbz
 
@@ -14,6 +15,8 @@ COMMENT=	Portable, easy to use, and effi
 LICENSE=	BSD
 LICENSE_FILE=	${WRKSRC}/doc/license.txt
 
+LATEST_LINK=	botan${PKGNAMESUFFIX}
+
 OPTIONS_DEFINE=		SSL GMP ECC
 OPTIONS_DEFAULT=	SSL GMP ECC
 ECC_DESC=	ECC support
@@ -27,8 +30,10 @@ CONFIGURE_ARGS=	--prefix=${PREFIX} --wit
 USE_GMAKE=	yes
 MAKE_ARGS=	CXX="${CXX}" LIB_OPT="${CXXFLAGS}"
 USE_LDCONFIG=	yes
-PLIST_FILES=	bin/botan-config lib/libbotan.a lib/libbotan.so lib/libbotan.so.0 libdata/pkgconfig/botan-1.8.pc
+PLIST_FILES=	bin/botan-config-1.10 lib/libbotan-1.10.a lib/libbotan-1.10.so lib/libbotan-1.10.so.0 \
+		lib/libbotan-1.10.so.0.5 libdata/pkgconfig/botan-1.10.pc
 
+DOCSDIR=	${PREFIX}/share/doc/${PORTNAME}-${PORTVERSION}
 PORTDOCS=	*
 
 .include <bsd.port.options.mk>
@@ -39,7 +44,7 @@ CONFIGURE_ARGS+=--with-openssl
 .endif
 
 .if ${PORT_OPTIONS:MGMP}
-LIB_DEPENDS+=	gmp.10:${PORTSDIR}/math/gmp
+LIB_DEPENDS+=	gmp:${PORTSDIR}/math/gmp
 CONFIGURE_ARGS+=--with-gnump
 MAKE_ARGS+=	LDFLAGS="-L${LOCALBASE}/lib"
 .endif
@@ -55,14 +60,14 @@ CONFIGURE_ARGS+=--with-tr1-implementatio
 post-patch:
 	${REINPLACE_CMD} -e "s|#!/usr/bin/env python|#!${PYTHON_CMD}|" \
 			${WRKSRC}/configure.py
-.if ${PORT_OPTIONS:MDOCS}
-	${REINPLACE_CMD} -e '/$$(MKDIR_INSTALL) $$(DOCDIR)/d' \
-			-e '/$$(INSTALL_CMD_DATA) $$$$i $$(DOCDIR); /d' \
+.if ! ${PORT_OPTIONS:MDOCS}
+	${REINPLACE_CMD} -e '/DOCDIR/d' \
 			${WRKSRC}/src/build-data/makefile/unix_shr.in
 .endif
 
 post-install:
-	@(cd ${PREFIX}; ${FIND} -s include/botan -not -type d) >> ${TMPPLIST}
-	@${ECHO_CMD} @dirrm include/botan >> ${TMPPLIST}
+	@(cd ${PREFIX}; ${FIND} -s include/botan-1.10 -not -type d) >> ${TMPPLIST}
+	@${ECHO_CMD} @dirrm include/botan-1.10/botan >> ${TMPPLIST}
+	@${ECHO_CMD} @dirrm include/botan-1.10 >> ${TMPPLIST}
 
 .include <bsd.port.mk>

Modified: head/security/botan110/distinfo
==============================================================================
--- head/security/botan/distinfo	Tue May 21 14:58:55 2013	(r318712)
+++ head/security/botan110/distinfo	Wed May 22 18:07:53 2013	(r318782)
@@ -1,2 +1,2 @@
-SHA256 (Botan-1.8.13.tbz) = 5593ce257d753c305ecf6f4d16e2f516f647bd6494f823fe9766a816ac439dba
-SIZE (Botan-1.8.13.tbz) = 2811686
+SHA256 (Botan-1.10.5.tbz) = 2934c00533847dc93c485081d3ce6aae4a110151a69b587b895241159da77cf3
+SIZE (Botan-1.10.5.tbz) = 2214817

Modified: head/security/botan110/files/patch-src_build_data_makefile_unix_shr.in
==============================================================================
--- head/security/botan/files/patch-src_build_data_makefile_unix_shr.in	Tue May 21 14:58:55 2013	(r318712)
+++ head/security/botan110/files/patch-src_build_data_makefile_unix_shr.in	Wed May 22 18:07:53 2013	(r318782)
@@ -1,24 +1,11 @@
---- src/build-data/makefile/unix_shr.in.orig	2009-09-10 02:29:34.000000000 +0200
-+++ src/build-data/makefile/unix_shr.in	2009-10-27 14:30:46.000000000 +0100
-@@ -25,8 +25,8 @@
- BINDIR        = $(DESTDIR)/bin
+--- src/build-data/makefile/unix_shr.in.orig	2011-09-02 19:36:47.671575619 +0000
++++ src/build-data/makefile/unix_shr.in	2011-09-02 19:37:32.341486166 +0000
+@@ -20,7 +20,7 @@
  LIBDIR        = $(DESTDIR)/%{libdir}
- HEADERDIR     = $(DESTDIR)/%{includedir}/botan
--DOCDIR        = $(DESTDIR)/%{docdir}/Botan-$(VERSION)
+ HEADERDIR     = $(DESTDIR)/%{includedir}/botan-$(SERIES)/botan
+ DOCDIR        = $(DESTDIR)/%{docdir}/botan-$(VERSION)
 -PKGCONF_DIR   = $(LIBDIR)/pkgconfig
-+DOCDIR        = $(DESTDIR)/%{docdir}/botan
 +PKGCONF_DIR   = $(DESTDIR)/libdata/pkgconfig
  
  CONFIG_SCRIPT = %{botan_config}
  PKGCONFIG     = %{botan_pkgconfig}
-@@ -67,8 +67,8 @@
- LIBNAME       = %{lib_prefix}libbotan
- STATIC_LIB    = $(LIBNAME).a
- 
--SHARED_LIB    = $(LIBNAME)-$(SO_VERSION).%{so_suffix}
--SONAME        = $(LIBNAME)-$(SO_VERSION).%{so_suffix}
-+SHARED_LIB    = $(LIBNAME).%{so_suffix}.0
-+SONAME        = $(LIBNAME).%{so_suffix}.0
- 
- SYMLINK       = libbotan.%{so_suffix}
- 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Guido Falsi freebsd_committer 2013-05-22 19:08:03 UTC
State Changed
From-To: open->closed

Committed. Thanks!